import { IBuildable, ICleanable, IResetable, IState, IValues, ObjectProperties, ObjectValues } from './types';
export declare class ObjectState<TObject> implements IState, ICleanable, IResetable, IBuildable<TObject>, IValues<TObject> {
    properties: ObjectProperties<TObject>;
    get isDirty(): boolean;
    get values(): ObjectValues<TObject>;
    constructor(obj: TObject);
    build(): TObject;
    clean(): void;
    reset(): void;
}
